package weeb;

import rss.*;


/******************************************************************************/
public class Weeb implements Rsso{
	public static final int RSS_STATUS_STARTED=10000;
	public static HTTPServer MyHttpSrv=null;


/*
 */
public void Rssi(int rsst, byte[] Action){
	Rssi( new Rsst4j(rsst), new String(Action) );
}


/*
 */
public void Rssi(Rsst4j rsst, String action){
	Rsst4j rsst_hd;
	String obj, doc_root, dft_doc, s1;
	int rt, port, i, n;


 if( action.equals("Activate") ){
	rsst_hd= new Rsst4j( rsst.newHandle() );

	port= rsst.KeyGetInteger("Port");
	if(port==0)
	port=80;
	rsst_hd.KeyPutInteger( "Port", port );

	doc_root= new String( rsst.KeyGet("DocRoot") );
  if( !doc_root.equals("") ){
	n= doc_root.length();
	s1= System.getProperty("file.separator");
	if( doc_root.charAt(n-1) != s1.charAt(0) )
	doc_root+=s1;
  }
	rsst_hd.KeyPut( "DocRoot", doc_root );
	dft_doc= new String( rsst.KeyGet("DefaultDoc") );
	if(dft_doc.equals(""))
	dft_doc="index.html";
	rsst_hd.KeyPut( "DefaultDoc", dft_doc );
	Rsst4j.KeyCopy( rsst, rsst_hd, "Debug" );
	
	MyHttpSrv= new HTTPServer( port, doc_root, dft_doc, rsst_hd.KeyGetInteger("Debug") );

	rsst.Clear();
	rsst.setStatus( Rsst4j.RSS_STATUS_START );
 }
 else if( action.equals("Deactivate") ){
  	if(MyHttpSrv!=null)
  	MyHttpSrv=null;
  	
	rsst.closeHandle();
 }
 else if( action.equals("Start") ){
  if( (rsst.getStatus())==0 ){
 	rsst.setRtCode(Rsst4j.RSS_RT_BAD_HANDLE_STATUS);
 	return;
  }

	MyHttpSrv.start();
  	
	rsst.setStatus( RSS_STATUS_STARTED );
 }
 else if( action.equals("Stop") ){
  if( (rsst.getStatus())!=RSS_STATUS_STARTED ){
 	rsst.setRtCode(Rsst4j.RSS_RT_BAD_HANDLE_STATUS);
 	return;
  }

  if(MyHttpSrv!=null){
   try{
	MyHttpSrv.Stop();
    for(i=0; i<12; i++){
    	if( !MyHttpSrv.isAlive() ) break;
	Thread.sleep(1000);
    }
   }
   catch(java.lang.InterruptedException e){
   }
	if( MyHttpSrv.isAlive() )
	MyHttpSrv.interrupt();
  }

	rsst.setStatus(Rsst4j.RSS_STATUS_START);
 }
 else{
	rsst.setRtCode(Rsst4j.RSS_RT_UNKNOWN_ACTION);
 }

}

}

