Attribute VB_Name = "Util"
Option Explicit


'/* Return Values */
Public Const RSS_RT_SUCCESS        As Long = 0
Public Const RSS_RT_NOSPACE        As Long = -1
Public Const RSS_RT_FATAL          As Long = -1
Public Const RSS_RT_RSS_TOO_LONG   As Long = -100
Public Const RSS_RT_RSS_NULL       As Long = -101
Public Const RSS_RT_RSS_INVALID    As Long = -102
Public Const RSS_RT_KEY_TOO_LONG   As Long = -200
Public Const RSS_RT_KEY_EMPTY      As Long = -201
Public Const RSS_RT_KEY_BAD_CHAR   As Long = -202
Public Const RSS_RT_VALUE_NOSPACE  As Long = -300
Public Const RSS_RT_VALUE_TOO_LONG As Long = -301
Public Const RSS_RT_VALUE_NULL     As Long = -302
Public Const RSS_RT_VALUE_INVALID  As Long = -303
Public Const RSS_RT_RSSI_ERROR     As Long = -400
Public Const RSS_RT_FILE_ERROR     As Long = -500

Public Const RSS_RT_UNKNOWN_ACTION    As Long = -1000
Public Const RSS_RT_BAD_HANDLE_STATUS As Long = -1001
Public Const RSS_RT_INVALID_PROP      As Long = -1002
Public Const RSS_RT_INVALID_VALUE     As Long = -1003


'/* Options */
Public Const RSS_OP_KEY_FAMILY_GET  As Long = 1
Public Const RSS_OP_KEY_MULTI_LEVEL As Long = 2
Public Const RSS_OP_BUILDING_TABLE  As Long = 4


'/* Status Values */
Public Const RSS_STATUS_NONE  As Long = 0
Public Const RSS_STATUS_START As Long = 1

