package weeb;

import java.net.*;
import java.io.*;
import java.util.*;


/*******************************************************************************
 * encapsulation for client request
 */
class HTTPRequest {
	public Vector lines = new Vector();


/*
 */
public HTTPRequest(){
}


/*
 */
public void addLine(String line){
	lines.addElement(line);
}


/* 
 */
public int getHTTPMethod(){
 if(lines.size() > 0){
	String firstLine = (String) lines.elementAt(0);
  if( firstLine.length() >0 ){
  	if( firstLine.substring(0,3).equalsIgnoreCase("GET") ) return 0;
  	if( firstLine.substring(0,4).equalsIgnoreCase("POST") ) return 1;
  }
 }
	return -1;
}	


/* Get file form request
 */
public String getFileName(){
 if(lines.size()>0){
	//Get first item in the vector
	String firstLine= (String)lines.elementAt(0);
	//Get filename from http message
	String fileName= firstLine.substring( firstLine.indexOf(" ") +1 );
	int n= fileName.indexOf(" ");
	//URL is between 2 spaces
	if(n!=-1) fileName= fileName.substring(0,n);
	
  //Remove first '/'
  try{
	if(fileName.charAt(0) == '/') 
	fileName= fileName.substring(1);
  } 
  catch(StringIndexOutOfBoundsException ex) {
  }
   			
	return fileName;
 }
 else{
	return "";
 }
}


/* Show Request message
 */
public void log(){
	System.out.println("---------Received the following request:---------");
	for(int i=0; i<lines.size(); i++)
	System.out.println((String) lines.elementAt(i));
	System.out.println("-------------------------------------------------");
}


}

