package weeb;

import java.net.*;
import java.io.*;
import java.util.*;


/*******************************************************************************
 *
 */
public class HTTPServer extends Thread{
	public static int Debug=0;
	//public static Class clsRssi1=null;
	public volatile boolean ifCont=true;
	public ServerSocket Server1;
	public Socket Client1;
	public String DocRoot, DefaultDoc;
 	public int serverPort;


/*
 */
public HTTPServer(int port, String doc_root, String default_doc, int debug){
	serverPort=port;
	DocRoot=doc_root;
	DefaultDoc=default_doc;
	Debug=debug;

 /*try{	
  if( !CallbackClass.equals("") ){
	clsRssi1= Class.forName(CallbackClass);
  }
 }
 catch(java.lang.ClassNotFoundException e){
	e.printStackTrace();
	System.exit(1);
 }*/
}

 
/*
 */
public void Stop(){
 	ifCont=false;
 try{
 	Server1.close();
 } 
 catch(Exception e){
	System.out.println("Stop HTTPServer ...");
 }
}

 
/*
 */
public void run(){
	// show name and version
	System.out.println("Weeb version 1.0");
 try{
	// get listening socket of the server
	Server1= getServerSocket();
   
  do{
	// wait client connection
	Client1= Server1.accept();
	// allocate a thread for a client request
	(new HTTPServerThread(Client1, DocRoot, DefaultDoc)).start();
  }while(ifCont);
 }
 catch(java.net.SocketException e){
  if( e.getMessage().indexOf("socket closed") >=0 ){
	System.out.println("HTTPServer Stopped");
  }
  else{
	e.printStackTrace();
	System.exit(1);
  }
 } 
 catch(Exception e){
	e.printStackTrace();
	System.exit(1);
 }
}

 	
/*We can use SSL extension
 */
ServerSocket getServerSocket() throws Exception {
	return new ServerSocket(serverPort);
}


}
